ChargePoints / Health
Returns an aggregated diagnostic snapshot of a charge point: location and controller, the last 5 status entries, the last 5 issues, the last 100 OCPP log entries, the last 10 authorization requests, the last boot notification, the parking sensor with its last 3 status entries, and assigned service partners. Required permission: asset:chargepoints:health. Available contexts: API Key.
curl --request GET \
--url https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"chargepoint_health": {
"chargepoint": {
"uuid": "<string>",
"evse_id": "<string>",
"clean_evse_id": "<string>",
"status": "<string>",
"connector_id": 123,
"name": "<string>",
"station_uuid": "<string>",
"controller_uuid": "<string>",
"location_uuid": "<string>"
},
"statuses": [
{
"status": "<string>",
"error_code": "<string>",
"vendor_id": "<string>",
"vendor_error_code": "<string>",
"info": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"issues": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"type": "<string>",
"controller_uuid": "<string>",
"charge_point_uuid": "<string>",
"subject": "<string>",
"comment": "<string>"
}
],
"ocpp_logs": [
{
"timestamp": "2023-11-07T05:31:56Z",
"ocpp_message_id": "<string>",
"ocpp_version": "<string>",
"ocpp_action": "<string>",
"direction": "<string>",
"request": "<string>",
"response": "<string>"
}
],
"authorization_requests": [
{
"message": "<string>",
"status": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"command_type": "<string>"
}
],
"service_partners": [
{
"partner_name": "<string>",
"partner_type": "<string>"
}
],
"location": {
"uuid": "<string>",
"name": "<string>",
"street": "<string>",
"house_number": "<string>",
"postcode": "<string>",
"city": "<string>",
"latitude": 123,
"longitude": 123,
"status": "<string>",
"time_zone": "<string>",
"support_hotline": "<string>"
},
"controller": {
"fairmode": false,
"uuid": "<string>",
"name": "<string>",
"manufacturer": "<string>",
"serial_number": "<string>",
"article_number": "<string>",
"firmware": "<string>",
"software": "<string>",
"status": "<string>",
"last_ocpp_activity": "2023-11-07T05:31:56Z"
},
"last_reboot": {
"notified_at": "2023-11-07T05:31:56Z",
"charge_point_vendor": "<string>",
"charge_point_model": "<string>",
"charge_point_serial_number": "<string>",
"firmware_version": "<string>",
"icc_id": "<string>"
},
"parking_sensor": {
"sensor": {
"uuid": "<string>",
"name": "<string>",
"ext_id": "<string>",
"last_status": "<string>",
"last_status_changed_at": "2023-11-07T05:31:56Z",
"interface_name": "<string>"
},
"statuses": [
{
"status": "<string>",
"error_code": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"reported_at": "2023-11-07T05:31:56Z"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}Headers
Path Parameters
Response
Aggregated charge point health snapshot wrapped in a single top-level chargepoint_health object. Sections within the wrapper are documented via their own Object classes.
Aggregated charge point health snapshot combining identity, location, controller, recent statuses and issues, OCPP frames from the broker message stream (credentials redacted), authorization attempts, last reboot, parking sensor, and service partners.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chargecloud.dev/api/v1/assets/chargepoints/{uuid}/health")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"chargepoint_health": {
"chargepoint": {
"uuid": "<string>",
"evse_id": "<string>",
"clean_evse_id": "<string>",
"status": "<string>",
"connector_id": 123,
"name": "<string>",
"station_uuid": "<string>",
"controller_uuid": "<string>",
"location_uuid": "<string>"
},
"statuses": [
{
"status": "<string>",
"error_code": "<string>",
"vendor_id": "<string>",
"vendor_error_code": "<string>",
"info": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"issues": [
{
"created_at": "2023-11-07T05:31:56Z",
"error_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"type": "<string>",
"controller_uuid": "<string>",
"charge_point_uuid": "<string>",
"subject": "<string>",
"comment": "<string>"
}
],
"ocpp_logs": [
{
"timestamp": "2023-11-07T05:31:56Z",
"ocpp_message_id": "<string>",
"ocpp_version": "<string>",
"ocpp_action": "<string>",
"direction": "<string>",
"request": "<string>",
"response": "<string>"
}
],
"authorization_requests": [
{
"message": "<string>",
"status": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"command_type": "<string>"
}
],
"service_partners": [
{
"partner_name": "<string>",
"partner_type": "<string>"
}
],
"location": {
"uuid": "<string>",
"name": "<string>",
"street": "<string>",
"house_number": "<string>",
"postcode": "<string>",
"city": "<string>",
"latitude": 123,
"longitude": 123,
"status": "<string>",
"time_zone": "<string>",
"support_hotline": "<string>"
},
"controller": {
"fairmode": false,
"uuid": "<string>",
"name": "<string>",
"manufacturer": "<string>",
"serial_number": "<string>",
"article_number": "<string>",
"firmware": "<string>",
"software": "<string>",
"status": "<string>",
"last_ocpp_activity": "2023-11-07T05:31:56Z"
},
"last_reboot": {
"notified_at": "2023-11-07T05:31:56Z",
"charge_point_vendor": "<string>",
"charge_point_model": "<string>",
"charge_point_serial_number": "<string>",
"firmware_version": "<string>",
"icc_id": "<string>"
},
"parking_sensor": {
"sensor": {
"uuid": "<string>",
"name": "<string>",
"ext_id": "<string>",
"last_status": "<string>",
"last_status_changed_at": "2023-11-07T05:31:56Z",
"interface_name": "<string>"
},
"statuses": [
{
"status": "<string>",
"error_code": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"reported_at": "2023-11-07T05:31:56Z"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}